import request from '@/utils/request';

export function getDrillList(params) {
  return request({
    url: '/api/emergency_plan/drill/list',
    method: 'get',
    params: params
  });
}
export function getTrainingList(params) {
  return request({
    url: '/api/emergency_plan/training/list',
    method: 'get',
    params: params
  });
}

export function getPlanList(params) {
  return request({
    url: '/api/emergency_plan/plan/list',
    method: 'get',
    params: params
  });
}

export function getPlanDetail(planId: string) {
  return request({
    url: '/api/emergency_plan/plan/' + planId,
    method: 'get'
  });
}

export function getResponseDetail(responseId) {
  return request({
    url: '/api/emergency_plan/plan/' + responseId,
    method: 'get'
  });
}

// 修改预案
export const updateReport = (data) => {
  return request({
    url: `/api/reports/update`,
    method: 'put',
    data: data
  });
};

// 删除预案
export const deletePlan = (data) => {
  return request({
    url: `/api/emergency_plan/plan/delete`,
    method: 'delete',
    data: data
  });
};

// 新增预案
export const addReport = (data) => {
  return request({
    url: '/api/emergency_plan/plan/create',
    method: 'post',
    data: data
  });
};

export const listDrill = (params) => {
  return request({
    url: '/api/emergency_plan/drill/list',
    method: 'get',
    params: params
  });
};

// 新增培训记录
export const addTraining = (data) => {
  return request({
    url: '/api/emergency_plan/training/create',
    method: 'post',
    data: data
  });
};

// 修改培训记录
export const updateTraining = (data) => {
  return request({
    url: '/api/emergency_plan/training/update',
    method: 'put',
    data: data
  });
};

// 培训记录详情
export const getTrainingDetail = (trainingId) => {
  return request({
    url: '/api/emergency_plan/training/' + trainingId,
    method: 'get'
  });
};

// 删除培训记录
export const deleteTraining = (data) => {
  return request({
    url: '/api/emergency_plan/training/delete',
    method: 'delete',
    data: data
  });
};
